跳转到主要内容
POST
/
v1
/
audio
/
transcriptions
curl --request POST \
  --url 'https://api.elkapi.com/v1/audio/transcriptions' \
  --header 'Authorization: Bearer <token>' \
  --form 'file=@audio.mp3' \
  --form 'model=whisper-1' \
  --form 'language=language' \
  --form 'prompt=一只小猫在阳光下的花园里奔跑,电影感,高细节' \
  --form 'response_format=json' \
  --form 'temperature=1' \
  --form 'timestamp_granularities=word'
{
  "text": "你好,请介绍一下你自己"
}

Documentation Index

Fetch the complete documentation index at: https://docs.elkapi.com/llms.txt

Use this file to discover all available pages before exploring further.

curl --request POST \
  --url 'https://api.elkapi.com/v1/audio/transcriptions' \
  --header 'Authorization: Bearer <token>' \
  --form 'file=@audio.mp3' \
  --form 'model=whisper-1' \
  --form 'language=language' \
  --form 'prompt=一只小猫在阳光下的花园里奔跑,电影感,高细节' \
  --form 'response_format=json' \
  --form 'temperature=1' \
  --form 'timestamp_granularities=word'
{
  "text": "你好,请介绍一下你自己"
}

Authorizations

Authorization
string
必填
所有接口均需要使用 Bearer Token 进行认证。在请求头中添加:
Authorization: Bearer YOUR_API_KEY

Body

file
file
必填
音频文件
model
string
默认值:"whisper-1"
必填
示例:whisper-1
language
string
ISO-639-1 语言代码
prompt
string
response_format
string
默认值:"json"
可选值:jsontextsrtverbose_jsonvtt
temperature
number
timestamp_granularities
array<string>

Response

text
string